Please sync with Debian to 2.0.09-2 version

Bug #1292441 reported by Dariusz Dwornikowski on 2014-03-14
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
maradns (Ubuntu)
Undecided
Unassigned

Bug Description

New version of maradns is available in Debian. It fixes some security issues.

 maradns (2.0.09-2) unstable; urgency=medium

  * updated watchfile to check pgp signature (Closes: #740046)
  * patches updates, thanks to Tobias Frost
    - simplified the deadwood_makefile.patch (Closes: #740049)
    - added patch to generate DwRandPrime.h from PRNG when /dev/urandom missing
  * pgp singnature saved as d/upstream-singning-key.pgp
  * fixed postinst not to violate policy 10.7.3 (Closes: #740332)
    - added preinst for reverting to upstream's mararc
    - added stopping old maradns where init script is wrong
  * patch added to update mararc manpage

 -- Dariusz Dwornikowski <email address hidden> Thu, 27 Feb 2014 17:51:34 +0100

maradns (2.0.09-1) unstable; urgency=medium

  * New maintainer (Closes: #739084)
  * New upstream release to unstable
  * Several security bugs (Closes: #739755)
     - security bugfix for CVE-2011-5055, CVE-2011-5056, CVE-2012-0024,
     CVE-2012-1570
     - security bugfix agains blind spoofing attack (no CVE number)
     - security bugfix for packet of death attack (no CVE number)
  * Bump standards to 3.9.5
  * Updated d/postinst to no longer modify conffiles (Closes: #710903)
  * Init script fixed (Closes: #709826)
  * --reinstall no longer kills the process (Closes: #701657)
  * Updated old d/changelog entries, added information when the CVEs were
    fixed: 2.0.06-1, 2.0.04-1, 1.4.11-1, 1.2.12.06-1, 1.2.12.05-1, 1.0.28-1

 -- Dariusz Dwornikowski <email address hidden> Sun, 16 Feb 2014 19:36:04 +0100

Scott Kitterman (kitterman) wrote :

This bug was fixed in the package maradns - 2.0.09-2
Sponsored for Dariusz Dwornikowski (dariusz-dwornikowski)

---------------
maradns (2.0.09-2) unstable; urgency=medium

  * updated watchfile to check pgp signature (Closes: #740046)
  * patches updates, thanks to Tobias Frost
    - simplified the deadwood_makefile.patch (Closes: #740049)
    - added patch to generate DwRandPrime.h from PRNG when /dev/urandom missing
  * pgp singnature saved as d/upstream-singning-key.pgp
  * fixed postinst not to violate policy 10.7.3 (Closes: #740332)
    - added preinst for reverting to upstream's mararc
    - added stopping old maradns where init script is wrong
  * patch added to update mararc manpage

 -- Dariusz Dwornikowski <email address hidden> Thu, 27 Feb 2014 17:51:34 +0100

maradns (2.0.09-1) unstable; urgency=medium

  * New maintainer (Closes: #739084)
  * New upstream release to unstable
  * Several security bugs (Closes: #739755)
     - security bugfix for CVE-2011-5055, CVE-2011-5056, CVE-2012-0024,
     CVE-2012-1570
     - security bugfix agains blind spoofing attack (no CVE number)
     - security bugfix for packet of death attack (no CVE number)
  * Bump standards to 3.9.5
  * Updated d/postinst to no longer modify conffiles (Closes: #710903)
  * Init script fixed (Closes: #709826)
  * --reinstall no longer kills the process (Closes: #701657)
  * Updated old d/changelog entries, added information when the CVEs were
    fixed: 2.0.06-1, 2.0.04-1, 1.4.11-1, 1.2.12.06-1, 1.2.12.05-1, 1.0.28-1

 -- Dariusz Dwornikowski <email address hidden> Sun, 16 Feb 2014 19:36:04 +0100

maradns (2.0.06-2) experimental; urgency=low

  * Fix typo in init scripts (Closes: #668329)

 -- Nicholas Bamber <email address hidden> Sun, 15 Apr 2012 13:08:35 +0100

maradns (2.0.06-1) experimental; urgency=low

  * New upstream release, fixes CVE-2012-1570
  * Refreshed patches
  * Raised standards version to 3.9.3
    - Updated copyright format
    - Changed /var/run to /run
    - Removed lintian override that is no longer required
  * Added exclusion to dh_clean to avoid corrupting upstream source
  * Raised debhelper version and compat level to 9

 -- Nicholas Bamber <email address hidden> Fri, 16 Mar 2012 13:10:28 +0000

maradns (2.0.05-1) experimental; urgency=low

  * New upstream release - security bugfix for CVE-2011-5056
  * Fix flags on freebsd build

 -- Nicholas Bamber <email address hidden> Mon, 13 Feb 2012 13:58:20 +0000

Changed in maradns (Ubuntu):
status: New → Fix Released
Scott Kitterman (kitterman) wrote :

I should mention that this needed a feature freeze exception since we're past feature freeze, see https://wiki.ubuntu.com/FreezeExceptionProcess for next time. Given the magnitude of the security issues this fixes, I've approved it without going through the normal process.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers